import type { _NSCopying } from "../Foundation/NSCopying.js";
import type { _NSObject } from "../Foundation/NSObject.js";
import type { _NSSecureCoding } from "../Foundation/NSSecureCoding.js";
import type { _NSString } from "../Foundation/NSString.js";
import type { INMessageReactionType } from "./INMessageReactionType.js";
export declare class _INMessageReaction extends _NSObject {
    static alloc(): _INMessageReaction;
    static new(): _INMessageReaction;
    init(): _INMessageReaction;
    initWithReactionType$reactionDescription$emoji$(reactionType: INMessageReactionType, reactionDescription: _NSString | null, emoji: _NSString | null): _INMessageReaction;
    reactionType(): INMessageReactionType;
    reactionDescription(): _NSString | null;
    emoji(): _NSString | null;
}
export interface _INMessageReaction extends _NSCopying, _NSSecureCoding {
}
